Bug 545594 - sudoers config field "Tag Specification" does not remain "not set" after saving
sudoers config field "Tag Specification" does not remain "not set" after saving
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
unspecified
All Linux
low Severity low (vote)
: ---
: ---
Assigned To: RHQ Project Maintainer
John Sefler
: SubBug
Depends On:
Blocks: RHQ_Config rhq_triage
  Show dependency treegraph
 
Reported: 2009-12-08 16:52 EST by John Sefler
Modified: 2014-05-16 16:10 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-16 16:10:34 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Sefler 2009-12-08 16:52:25 EST
Description of problem:
The 'Tag Specification' field does not remain "not set" after Saving the sudoers config.


Version-Release number of selected component (if applicable):
was detected during a sprint3 build

How reproducible:


Steps to Reproduce:
Through the RHQ GUI
1. Create a valid sudoers config entry
2. Edit the sudoers config entry and "Unset" the "Tag Specification" and click OK
3. Notice that the Tag Specification is "not set" and red (as expected)
4. Click Save
5. Click the Current subtab of the Configuration tab
6. Notice that the Tag Specification is suddenly set to true (NOT AS EXPECTED)
This is a bug.  The field should remain displayed as "not set" AND the /etc/sudoers file should not contain a PASSWD nor a NOPASSWD tag for this entry.


Additional info:
Comment 1 wes hayutin 2010-02-16 11:54:32 EST
Temporarily adding the keyword "SubBug" so we can be sure we have accounted for all the bugs.

keyword:
new = Tracking + FutureFeature + SubBug
Comment 2 wes hayutin 2010-02-16 12:00:00 EST
making sure we're not missing any bugs in rhq_triage
Comment 3 Corey Welton 2010-10-05 09:08:17 EDT
Lowering severity/priority - not an enterprise plugin

Note You need to log in before you can comment on or make changes to this bug.